API reference
NAT Gateways
GET
header
AuthorizationBearer <token>label_selector?stringFilter by labels: env=prod, env!=prod, env (has key), !env; comma = AND
NAT gateways
application/json- response
nat_gateways*array<>curl -X GET "https://example.com/nat_gateways"{ "nat_gateways": [ { "id": 0, "name": "string", "network": 0, "location": "string", "status": "creating", "public_ip": "string", "private_ip": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" } ]}POST
header
AuthorizationBearer <token>application/json- body
name?stringLength
length <= 64network*stringNetwork name or ID. Its first address becomes the gateway: servers without public IPs in it reach the internet from the NAT gateway's public IPv4.
labels?Up to 64 key/value pairs; keys and values up to 63 characters
Created
application/json- response
nat_gateway*action*curl -X POST "https://example.com/nat_gateways" \ -H "Content-Type: application/json" \ -d '{ "network": "string" }'{ "nat_gateway": { "id": 0, "name": "string", "network": 0, "location": "string", "status": "creating", "public_ip": "string", "private_ip": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }, "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}GET
header
AuthorizationBearer <token>id*integerFormat
int64NAT gateway
application/json- response
nat_gateway*curl -X GET "https://example.com/nat_gateways/0"{ "nat_gateway": { "id": 0, "name": "string", "network": 0, "location": "string", "status": "creating", "public_ip": "string", "private_ip": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}DELETE
header
AuthorizationBearer <token>id*integerFormat
int64Deletion started
application/json- response
action*curl -X DELETE "https://example.com/nat_gateways/0"{ "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}PUT
header
AuthorizationBearer <token>id*integerFormat
int64application/json- body
name?stringLength
1 <= length <= 64labels?Up to 64 key/value pairs; keys and values up to 63 characters
Updated
application/json- response
nat_gateway*curl -X PUT "https://example.com/nat_gateways/0" \ -H "Content-Type: application/json" \ -d '{}'{ "nat_gateway": { "id": 0, "name": "string", "network": 0, "location": "string", "status": "creating", "public_ip": "string", "private_ip": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}